C**************************************************
C
C This include file defines all of the main Fortran
C parameters which control the behaviour of bruce,
C and declares the common block pertaining to them.
C Change these if bigger calculations / more memory etc
C are needed
C
C Started  :19/9/95
C
C Modified :4/9/96 - removed Beta from the parameter
C                    block and made it a variable
C           11/9/96 - upped the max modes number to 100
C
C            5/5/97 - set fhandl to standard input
C
C           23/12/98 - added thandl for outputing time files            
C 
C           22/05/00 - Updated version to 2.83
C
C           08/06/00 - Changed version to a character constant
C
C           30/11/00 - Updated version to 2.84-1
C
C           24/01/01 - Updated version to 2.84-2
C
C***************************************************

      character*10 Version		! The release version
      character*10 date			! The release date

      integer maxfld			! The maximum number of field calculations allowed
      integer maxmde			! The maximum number of modes allowed in multimode calcs
      integer dimmax			! The maximum dimension of the W-matrix - the matrix is a subset of a dimmax**2 one
      integer NEqtr			! The number of grid points on the equator of the model star
      integer NGrid			! The size of the stellar grids, set up to be NEqtr/4
      integer ihandl                    ! The file handle for standard input
      integer chandl			! The file handle for standard output
      integer fhandl			! The file handle for reading the input parameters file
      integer dhandl			! The file handle for writing out the dump files
      integer ahandl			! The file handle for writing out the aux files
      integer ehandl			! The file handle for error output
      integer thandl                    ! The file handle for writing out the timing file
      double precision Gamma		! The ratio of principal specific heats in the stellar atmosphere
      double precision RToler		! The tolerance used for solving for the stellar radius using Newt-Raph

      parameter(Version='2.84-2')

      parameter(date='2001-01-24')

      parameter(maxfld=999)     ! The maximum number of field caculations allowed. This number
				! is reasonably arbitrary, just there to make a rough bounds
				! check to stop users running bruce for 50000 fields.

      parameter(maxmde=100)	! The maximum number of modes useable in multimode calculations

      parameter(dimmax=100)	! This is the maximum dimension of the W-matrix used to calculate
				! the Lee & Saio lambda basis. The W-matrix is a subset of a dimmax**2
				! matrix of doubles; even if Lee & Saio effects are not used, this
				! matrix is still defined, so dimmax has a dramatic effect on the
				! amount of memory used.

      parameter(NEqtr=400)	! This is the number of grid points lying on the equator, and effects
				! the dimensions of all of the stellar grids through NGrid (see below)

      parameter(NGrid=Neqtr/4)	! This is the dimension of all of the stellar grid arrays, and so must
				! be chosen so that the grid is big enough to resolve the velocity & other
				! fields on the stellar surface, but not so big as to take up loads of
				! memory and slow down execution.


      parameter(chandl=6)	! The standard output file handle
      parameter(ehandl=6)	! The standard error output  file handle 

      parameter(fhandl=5)	! The parameter file handle - standard input here

      parameter(dhandl=11)	! The dump files handle

      parameter(ahandl=12)	! The aux files handle

      parameter(thandl=13)      ! The times file handle

      parameter(Gamma=5.D0/3.D0)	! This is the ratio of principal specific heats in the stellar atmosphere

      parameter(RToler=1.D-6)	! This is the tolerance used when sovling for the stellar radius via a
				! Newton-Raphson calculation.










